Name:		flaw
Version:	1.2.4
Release:	1%{?dist}
Summary:	Free top-down wizard battle game
Group:		Amusements/Games
License:	GPLv3+
URL:		http://flaw.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL_image-devel SDL_mixer-devel SDL_ttf-devel SDL-devel 
BuildRequires:	SDL_gfx-devel desktop-file-utils gnu-free-sans-fonts
Requires:	gnu-free-sans-fonts

%description
FLAW is a free top-down wizard battle game.
It can be played by up to 5 players simultaneously. The goal of the game is to
survive as long as possible while more and more fireballs appear in the arena.
Game play is simple and self-explanatory. It's all about evading the fireballs
and knocking your opponents down. In addition there are collectible magic gems
that provide special abilities.

%prep
%setup -q

# Fix spurious executable permissions
chmod 644 src/*.cc
chmod 644 src/*.h

# Fix incorrect lines on flaw.desktop
sed -i -e '3d' data/flaw.desktop
sed -i -e '2d' data/flaw.desktop

%build
%configure --docdir=%{_docdir}/%{name}-%{version} --enable-fontpath=%{_datadir}/fonts/gnu-free/
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/flaw
%{_datadir}/flaw
%{_datadir}/pixmaps/flaw.xpm
%{_datadir}/applications/flaw.desktop
%exclude %{_docdir}/%{name}-%{version}/INSTALL
%doc %{_docdir}/%{name}-%{version}

%changelog
* Sun Aug 1 2010 Filipe Rosset <filiperosset@fedoraproject.org> - 1.2.4-1
- Updated to version 1.2.4 upstream

* Sun May 2 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.3-2
- Fix Requires

* Tue Apr 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.3-1
- Update to version 1.2.3 upstream
- Update BuildRequires

* Tue Mar 30 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-8
- Fix spec issues

* Mon Mar 29 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-7
- Fix spec issues

* Sun Mar 28 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-6
- Fix spec issues

* Sat Mar 27 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-5
- Fix shebang on rpmlint, now is silent
- Fix location and incorrect lines of flaw.desktop
- Fix documentation files

* Sun Feb 21 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.2-4
- Removed irrelevant files in doc
- Updated to version 1.2.2 upstream source

* Tue Dec 29 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.1-3
- Now fixed Source0 url
- Updated to version 1.2.1 upstream source

* Tue Dec 22 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2-2
- Replaced "%%{_bindir}/flaw*" to "%%{_bindir}/flaw"
- Replaced license GPLv3 to GPLv3+
- Removed Requires information
- Updated BuildRequires information

* Fri Dec 18 2009 Filipe Rosset <rosset.filipe@gmail.com> - 1.2-1
- Initial RPM release
